Subject: Re: [PATCH 8/8] powerpc/perf: Add power8 EBB support

From: Adhemerval Zanella <[email-masked]>
Date: Thu, 04 Jul 2013 15:58:01 -0300

Hi Michael,

I believe you forgot to add the cpu_user_features2 bit to announce the EBB support
for P8, patch following:

Signed-off-by: Adhemerval Zanella <[email-masked]>
---
 arch/powerpc/kernel/cputable.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/arch/powerpc/kernel/cputable.c b/arch/powerpc/kernel/cputable.c
index 2a45d0f..5f0c80a 100644
--- a/arch/powerpc/kernel/cputable.c
+++ b/arch/powerpc/kernel/cputable.c
@@ -105,6 +105,7 @@ extern void __restore_cpu_e6500(void);
                                 PPC_FEATURE_PSERIES_PERFMON_COMPAT)
 #define COMMON_USER2_POWER8    (PPC_FEATURE2_ARCH_2_07 | \
                                 PPC_FEATURE2_HTM_COMP | PPC_FEATURE2_DSCR | \
+                                PPC_FEATURE2_EBB | \
                                 PPC_FEATURE2_ISEL | PPC_FEATURE2_TAR)
 #define COMMON_USER_PA6T       (COMMON_USER_PPC64 | PPC_FEATURE_PA6T |\
                                 PPC_FEATURE_TRUE_LE | \

On 28-06-2013 01:15, Anshuman Khandual wrote:
> On 06/27/2013 05:22 PM, Michael Ellerman wrote:
>> On Wed, 2013-06-26 at 15:28 +0530, Anshuman Khandual wrote:
>>>> @@ -117,6 +117,7 @@
>>>>  	 (EVENT_UNIT_MASK      << EVENT_UNIT_SHIFT)		|	\
>>>>  	 (EVENT_COMBINE_MASK   << EVENT_COMBINE_SHIFT)		|	\
>>>>  	 (EVENT_MARKED_MASK    << EVENT_MARKED_SHIFT)		|	\
>>>> +	 (1ull		       << EVENT_CONFIG_EBB_SHIFT)	|	\
>>> We should define this macro like EVENT_MARKED_MASK
>>>
>>> #define EVENT_EBB_MASK       0x1
>>>
>>> Numeric value of "1ull" stands out odd in the scheme.
>> Yeah I guess.
>>
>> Would you like it in blue? :)
>>
> :) No, I meant probably a macro definition would be cool.
>
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev
>